[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Summary - Broken dependencies in Fedora 7 + Test Updates - 2007-09-04



On Wed, 05 Sep 2007 06:46:44 -0500, Rex Dieter wrote:

> Fedora Extras repoclosure wrote:
> 
> > Summary of broken packages (by owner):
> > 
> >     andreas.bierfert AT lowlatency.de
> >         koffice-karbon - 1.6.2-3.fc7.i386    (19 days)
> >         koffice-kivio - 1.6.2-3.fc7.i386    (19 days)
> >         koffice-kspread - 1.6.2-3.fc7.i386    (19 days)
> > Broken packages in fedora-7-x86_64:
> > ...
> >   koffice-karbon-1.6.2-3.fc7.i386  requires  koffice-core = 0:1.6.2-3.fc7
> >   koffice-kivio-1.6.2-3.fc7.i386  requires  koffice-core = 0:1.6.2-3.fc7
> >   koffice-kspread-1.6.2-3.fc7.i386  requires  koffice-core = 0:1.6.2-3.fc7
> 
> Anyone have an idea where this one is coming from?  koffice-1.6.3-9.fc7 is
> the latest build.  One of the recent changes was to fix things so that
> these extraneous pkgs wouldn't get pulled into the multilib mix (ie, by
> inadvertantly providing things required by koffice-devel).

It is a broken multi-lib dependency.

In repository "fedora-7-x86_64" (i.e. the "Everything" repo for x86_64)
there are three i386 koffice-foo packages which require something that
isn't available in the combined set of repositories for F7, F7 Updates
and F7 Test Updates.

koffice-core.i386 with version-release 1.6.2-3.fc7 is not seen anymore
in these x86_64 metadata.

You cannot remove old multi-lib packages from the repos (unless
rel-eng supports doing that on request). You can only upgrade packages
with proper dependencies.

Most likely the koffice-1.6.3-9.fc7 update you mention upgrades the
koffice-core NEVR to 1.6.3-9.fc7, and no updates for the three i386
packages or the new koffice-core have been copied into the x86_64.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]